%define upstream_name    App-Rad
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Extend the App::Rad framework!
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Handlers)
BuildRequires: perl(B::Deparse)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Getopt::Long) >= 2.360.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
App::Rad aims to be a simple yet powerful framework for developing your
command-line applications. It can easily transform your Perl _one-liners_
into reusable subroutines than can be called directly by the user of your
program.

It also tries to provide a handy interface for your common command-line
tasks. *If you have a feature request to easen out your tasks even more,
please drop me an email or a RT feature request.*

Extending App::Rad - Plugins!
    App::Rad plugins can be loaded by naming them as arguments to the 'use
    App::Rad' statement. Just ommit the 'App::Rad::Plugin' prefix from the
    plugin name. For example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.50.0-6.mga6
+ Revision: 1022553
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.50.0-5.mga6
+ Revision: 941088
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-4.mga5
+ Revision: 747137
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-3.mga5
+ Revision: 683522
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-2.mga4
+ Revision: 526780
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.50.0-1.mga4
+ Revision: 438838
- update to 1.05

* Sun Jan 13 2013 umeabot <umeabot> 1.40.0-2.mga3
+ Revision: 363080
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 1.40.0-1.mga2
+ Revision: 182441
- imported package perl-App-Rad


* Fri Dec 16 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
